Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class MessageDrivenMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.BeanMetaData
              org.jboss.metadata.MessageDrivenMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class MessageDrivenMetaData
extends BeanMetaData

Provides a container and parser for the metadata of a message driven bean.

Have to add changes ApplicationMetaData and ConfigurationMetaData.

Version:
  $Revision: 1.34.2.1 $
Author:
  Sebastien Alborini, Peter Antman, Andreas Schaefer, Adrian Brock

Field Summary
`static int` | `AUTO_ACKNOWLEDGE_MODE`
`static int` | `CLIENT_ACKNOWLEDGE_MODE`
`static String` | `DEFAULT_MESSAGE_DRIVEN_BEAN_INVOKER_PROXY_BINDING`
`static String` | `DEFAULT_MESSAGING_TYPE`
`static int` | `DUPS_OK_ACKNOWLEDGE_MODE`
`static byte` | `DURABLE_SUBSCRIPTION`
`static byte` | `NON_DURABLE_SUBSCRIPTION`
`static byte` | `TX_UNSET`

Fields inherited from class org.jboss.metadata.BeanMetaData
`beanType, callByValue, clustered, configurationName, containerManagedTx, ENTITY_TYPE, invokerBindings, LOCAL_INVOKER_PROXY_BINDING, MDB_TYPE, portComponent, serviceEndpointClass, SESSION_TYPE`

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`MessageDrivenMetaData(ApplicationMetaData app)`

Method Summary
`void` | `defaultInvokerBindings()`
`int` | `getAcknowledgeMode()` Get the message acknowledgement mode.
`HashMap` | `getActivationConfigProperties()` Get all the activation config properties
`ActivationConfigPropertyMetaData` | `getActivationConfigProperty(String name)` Get a particular activation config property
`String` | `getClientId()`
`String` | `getDefaultConfigurationName()`
`String` | `getDestinationJndiName()`
`String` | `getDestinationLink()`
`String` | `getDestinationType()`
`String` | `getMessageSelector()`
`String` | `getMessagingType()`
`byte` | `getMethodTransactionType()` Check MDB methods TX type, is cached here
`byte` | `getMethodTransactionType(String methodName, Class[] signature)` Check MDB methods TX type, is cached here
`byte` | `getMethodTransactionType(String methodName, Class[] params, InvocationType iface)` Overide here, since a message driven bean only ever have one method, which we might cache.
`String` | `getPasswd()`
`String` | `getResourceAdapterName()` Get the resource adapter name
`byte` | `getSubscriptionDurability()` Get the subscription durability mode.
`String` | `getSubscriptionId()`
`String` | `getUser()`
`void` | `importEjbJarXml(Element element)` Called to parse the ejb-jar.xml enterprise-beans child ejb elements
`void` | `importJbossXml(Element element)` Called to parse the jboss.xml enterprise-beans child ejb elements
`boolean` | `isJMSMessagingType()`

Methods inherited from class org.jboss.metadata.BeanMetaData
`addExcludedMethod, addPermissionMethod, addTransactionMethod, getApplicationMetaData, getClusterConfigMetaData, getConfigurationName, getContainerConfiguration, getContainerObjectNameJndiName, getDepends, getEjbClass, getEjbLocalRefByName, getEjbLocalReferences, getEjbName, getEjbRefByName, getEjbReferences, getEnvironmentEntries, getExcludedMethods, getHome, getInvokerBinding, getInvokerBindings, getIorSecurityConfigMetaData, getJndiName, getLocal, getLocalHome, getLocalJndiName, getMessageDestinationReferences, getMethodPermissions, getPermissionMethods, getPortComponent, getRemote, getResourceEnvReferences, getResourceReferences, getSecurityIdentityMetaData, getSecurityProxy, getSecurityRoleReferences, getServiceEndpoint, getServiceReferences, getTransactionMethod, getTransactionMethods, getTransactionTimeout, getTransactionTimeout, hasMethodPermission, isBeanManagedTx, isCallByValue, isClustered, isContainerManagedTx, isEntity, isExcludeMissingMethods, isMessageDriven, isMethodReadOnly, isMethodReadOnly, isSession`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_ACKNOWLEDGE_MODE

    public static final int AUTO_ACKNOWLEDGE_MODE

See Also:
  Constant Field Values

### DUPS_OK_ACKNOWLEDGE_MODE

    public static final int DUPS_OK_ACKNOWLEDGE_MODE

See Also:
  Constant Field Values

### CLIENT_ACKNOWLEDGE_MODE

    public static final int CLIENT_ACKNOWLEDGE_MODE

See Also:
  Constant Field Values

### DURABLE_SUBSCRIPTION

    public static final byte DURABLE_SUBSCRIPTION

See Also:
  Constant Field Values

### NON_DURABLE_SUBSCRIPTION

    public static final byte NON_DURABLE_SUBSCRIPTION

See Also:
  Constant Field Values

### TX_UNSET

    public static final byte TX_UNSET

See Also:
  Constant Field Values

### DEFAULT_MESSAGE_DRIVEN_BEAN_INVOKER_PROXY_BINDING

    public static final String DEFAULT_MESSAGE_DRIVEN_BEAN_INVOKER_PROXY_BINDING

See Also:
  Constant Field Values

### DEFAULT_MESSAGING_TYPE

    public static final String DEFAULT_MESSAGING_TYPE

See Also:
  Constant Field Values

Constructor Detail

### MessageDrivenMetaData

    public MessageDrivenMetaData(ApplicationMetaData app)

Method Detail

### getAcknowledgeMode

    public int getAcknowledgeMode()

  Get the message acknowledgement mode.

  Returns:
    MessageDrivenMetaData.AUTO_ACKNOWLADGE_MODE or MessageDrivenMetaData.DUPS_OK_AKNOWLEDGE_MODE or MessageDrivenMetaData.CLIENT_ACKNOWLEDGE_MODE

### getMessagingType

    public String getMessagingType()

### isJMSMessagingType

    public boolean isJMSMessagingType()

### getDestinationType

    public String getDestinationType()

### getDestinationLink

    public String getDestinationLink()

### getMessageSelector

    public String getMessageSelector()

### getDestinationJndiName

    public String getDestinationJndiName()

### getUser

    public String getUser()

### getPasswd

    public String getPasswd()

### getClientId

    public String getClientId()

### getSubscriptionId

    public String getSubscriptionId()

### getMethodTransactionType

    public byte getMethodTransactionType()

  Check MDB methods TX type, is cached here

### getMethodTransactionType

    public byte getMethodTransactionType(String methodName,
                                         Class[] signature)

  Check MDB methods TX type, is cached here

### getMethodTransactionType

    public byte getMethodTransactionType(String methodName,
                                         Class[] params,
                                         InvocationType iface)

  Overide here, since a message driven bean only ever have one method, which we might cache.

  Overrides:
    `getMethodTransactionType` in class `BeanMetaData`

### getSubscriptionDurability

    public byte getSubscriptionDurability()

  Get the subscription durability mode.

  Returns:
    MessageDrivenMetaData.DURABLE_SUBSCRIPTION or MessageDrivenMetaData.NON_DURABLE_SUBSCRIPTION

### getDefaultConfigurationName

    public String getDefaultConfigurationName()

  Specified by:
    `getDefaultConfigurationName` in class `BeanMetaData`

### getActivationConfigProperties

    public HashMap getActivationConfigProperties()

  Get all the activation config properties

  Returns:
    a collection of ActivationConfigPropertyMetaData elements

### getActivationConfigProperty

    public ActivationConfigPropertyMetaData getActivationConfigProperty(String name)

  Get a particular activation config property

  Parameters:
    `name` - the name of the property
  Returns:
    the ActivationConfigPropertyMetaData or null if not found

### getResourceAdapterName

    public String getResourceAdapterName()

  Get the resource adapter name

  Returns:
    the resource adapter name or null if none specified

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Description copied from class: `BeanMetaData`
  Called to parse the ejb-jar.xml enterprise-beans child ejb elements

  Overrides:
    `importEjbJarXml` in class `BeanMetaData`
  Parameters:
    `element` - one of session/entity/message-driven
  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Description copied from class: `BeanMetaData`
  Called to parse the jboss.xml enterprise-beans child ejb elements

  Overrides:
    `importJbossXml` in class `BeanMetaData`
  Parameters:
    `element` - one of session/entity/message-driven
  Throws:
    `org.jboss.deployment.DeploymentException`

### defaultInvokerBindings

    public void defaultInvokerBindings()

  Specified by:
    `defaultInvokerBindings` in class `BeanMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.